Subject: Re: bug#20727: 24.5; Font fallback doesn't work for the Emoji range

From: Eli Zaretskii <[email-masked]>
Date: Sat, 13 Jun 2015 22:09:01 +0300

> Date: Sat, 13 Jun 2015 12:02:25 -0700
> From: Paul Eggert <[email-masked]>
> CC: [email-masked], [email-masked], 
>  [email-masked]
> 
> I tried both suggestions, and I'm afraid they didn't work.  That is, I used the 
> attached patch and ran "emacs -Q -r -font 
> -misc-fixed-medium-r-semicondensed--0-0-75-75-c-0-iso8859-1", and Emacs 
> displayed U+2018 LEFT SINGLE QUOTATION MARK using 
> x:-unknown-Symbola-normal-normal-semicondensed-*-13-*-*-*-*-0-iso10646-1 
> (#x394), which is almost unreadable compared to the old way which displayed it 
> using x:-misc-fixed-medium-r-semicondensed--13-120-75-75-c-60-iso10646-1 (#x2018).

You forgot to delete this line, which was part of the patch I proposed:

-             (#x2000 . #x206F)	;; General Punctuation

Without deleting it, the entire range of General Punctuation is still
covered by Symbola.